This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000712CEGUICore library (CEGUIBase)public2012-02-10 08:562012-05-19 08:23
Assigned ToCrazyEddie 
PlatformOSOS Version
Product Version 
Target Version0.8.0Fixed in Version0.8.0 
Summary0000712: Window::invalidate(bool) should fire an event.
DescriptionCurrently there is no way to be notified when a window is invalidated. It would be good to add an event for this.
Additional InformationAlways be aware of potential performance impacts. It's probably worth measuring before and after speeds here.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
CrazyEddie (administrator)
2012-05-19 08:23

Event is actually fired by the Window::invalidate_impl function.

Timed this before and after - the version firing the event is ~0.56% slower. Given that invalidation should be a infrequent event relative to all the other stuff going on, this essentially equates to an insignificant increase (IMO).

changeset: 3237:ee4e8aca2d5a
user: Paul Turner <paul@cegui.org.uk>
date: Sat May 19 09:19:18 2012 +0100
summary: ADD: Window now fires EventInvalidated when it is invalidated

- Issue History
Date Modified Username Field Change
2012-02-10 08:56 CrazyEddie New Issue
2012-02-28 09:41 CrazyEddie Status new => assigned
2012-02-28 09:41 CrazyEddie Assigned To => CrazyEddie
2012-05-19 08:23 CrazyEddie Note Added: 0000975
2012-05-19 08:23 CrazyEddie Status assigned => resolved
2012-05-19 08:23 CrazyEddie Fixed in Version 0.8.3 => 0.8.0
2012-05-19 08:23 CrazyEddie Resolution open => fixed
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads

Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker